[package]
name = "lettercase"
version = "0.0.1"
authors = ["Bilal Elmoussaoui <bil.elmoussaoui@gmail.com>"]
edition = "2021"

[dependencies]
log = "0.4"
pretty_env_logger = "0.4"
serde = "1.0"
serde_json = "1.0"
serde_derive = "1.0"
url = "2.2"
surf = "2.3"
font-kit = "0.10"
async-std = "1.10"
futures = "0.3"
futures-util = "0.3"
once_cell = "1.9"

[dependencies.gtk]
version = "0.4.1"
package = "gtk4"

[dependencies.gdk]
version = "0.4.1"
package = "gdk4"

[dependencies.gio]
version = "0.15.1"

[dependencies.gdk-pixbuf]
version = "0.15.1"

[dependencies.glib]
version = "0.15.1"

[dependencies.pango]
version = "0.15.1"

[dependencies.libadwaita]
version = "0.1.0-beta-1"

[dependencies.gettext-rs]
version = "0.7"
features = ["gettext-system"]
